Description

Ref: v1.8 Lisboa

This is possibly a Windows-centric UI request, but it seems to me that having the buttons at the bottom of the attribute table unnecessarily

takes the focus away from the data at hand. For example, I'd like to be able to read the attribute data for a particular row (e.g. Hey, that's a

drainage and I'm only looking for rivers right now (yes, ignore the obvious alternative ways of solving this problem for now)). And, quickly

right click, select delete, and be on my way. Moving to the bottom to get to the buttons is particularly difficult when you're looking through

several rows of information, as you lose context of which row you just examined. You have to re-find your place every time.

History

#1 - 2012-09-04 11:53 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#2 - 2012-10-06 02:19 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#3 - 2015-12-09 03:34 AM - Médéric RIBREUX

- Status changed from Open to Feedback

Hello, bug triage...

For the moment, Right-clicking in the attribute table displays a submenu with two entries (Select All and Open Form).

To solve this feature request, we could add the following entries to this menu:

    -  Select All

    -  -----------

    -  Open Form

    -  Select the row (or Select feature).

    -  Delete feature.

    -  Pan to this feature.

    -  Zoom to this feature.

    -  Copy this feature.

    -  -----------

    -  Toggle edit mode.

    -  Save Edits.

    -  Reload the table.

    -  -----------

    -  Add Feature

    -  Delete Selected Features.
    -  Select Features using an expression.

    -  Unselect All

    -  Move Selection on Top

    -  Invert Selection.

    -  Pan map to the selected rows.

    -  Zoom map to the selected rows.

    -  Copy selected rows to clipboard.

    -  Paste features from clipboard.

    -  --------------

    -  Delete Field

    -  Add Field

    -  Open Field calculator

Well this is a quite long right-click menu ! Perhaps could we delete some entries ?

#4 - 2017-05-01 12:48 AM - Giovanni Manghi

- Easy fix? set to No
